/// <reference types="react" />
import { DateRange, GridPosition, Selection, StartingDay } from '../../types';
export declare function getPrevMonth(month: number): number;
export declare function getNextMonth(month: number): number;
export declare function getPrevYear(month: number, year: number): number;
export declare function getNextYear(month: number, year: number): number;
export declare function getSliceNum(startColumn: number, startingDay: StartingDay): number;
export declare function getPrevDays(month: number, year: number, startColumn: number, startingDay: StartingDay): Date[];
export declare function getNextDays(month: number, year: number, temp: number): Date[];
export declare function getAllDays(startColumn: number, month: number, year: number, startingDay: StartingDay): Date[];
export declare function getStartColumn(startingDay: StartingDay, startDay: number, selection: Selection): number;
export declare function isDisabled(day: Date, minDate: Date | undefined, maxDate: Date | undefined): boolean;
export declare function hasEndRange(day: Date, selectedRange: DateRange | null): boolean;
export declare function getDayWidth(calendarRef: React.RefObject<HTMLDivElement>): number;
export declare function getGridPosition(index: number, gridRef: React.RefObject<HTMLDivElement>): {
    row: number;
    col: number;
} | undefined;
export declare function getIndexFromGridPosition(gridPosition: GridPosition): number;
